import { FeatureSystem } from '../../core/feature-system';
import { MoneyChangeReasons } from './money_change_reasons';

export class MoneySystem extends FeatureSystem {
    static async GivePlayerMoney(_player: PlayerMpLoggedIn, _amount: number, _reason: MoneyChangeReasons, _note?: string): Promise<void> {}
    static async LogMoneyChange(..._args: any[]): Promise<void> {}
    static FormatMoney(amount: number): string { return amount.toLocaleString(); }
}

export const moneySystem = new MoneySystem();
